Loading...
Searching...
No Matches
LoopPartitioningDirective.h File Reference

Defines the Partition enum. More...

`#include <string>`
`#include "Expr.h"`
`#include "Parameter.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Enumerations

enum class | Halide::Partition { Halide::Auto , Halide::Never , Halide::Always }
| Different ways to handle loops with a potentially optimizable boundary conditions. More...

## Detailed Description

Defines the Partition enum.

Definition in file LoopPartitioningDirective.h.